%define	pkgname	di-ruby-lvm-attrib
Summary:	A list of attributes for LVM objects
Name:		ruby-%{pkgname}
Version:	0.0.21
Release:	3
License:	GPL v2+ or Ruby
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	7bd939d326737773e8bf3a231a488adc
Patch0:		lvm2.02.132.patch
URL:		https://github.com/gregsymons/di-ruby-lvm-attrib
BuildRequires:	device-mapper-devel
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	sed >= 4.0
# requires specific lvm2 version, because attributes need to be generated for each version
# https://github.com/gregsymons/di-ruby-lvm-attrib#adding-attributes
%requires_eq_to lvm2 device-mapper-devel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A list of attributes for LVM objects

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

# as we have strict dep on lvm2 package, we do not need other versions
install -d extra-attributes
mv lib/lvm/attributes/* extra-attributes
ver=$(rpm -q --qf '%{V}' device-mapper-devel)
mv extra-attributes/$ver* lib/lvm/attributes

%build
# write .gemspec
%__gem_helper spec

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{_bindir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{ruby_vendorlibdir}/lvm
%{ruby_vendorlibdir}/lvm/attributes.rb
%{ruby_vendorlibdir}/lvm/attributes
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Fri Oct 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-di-ruby-lvm-attrib.git;a=log;h=master

* Fri Oct 30 2015 Elan Ruusamäe <glen@delfi.ee> 11262ca
- skip submodule chunk

* Fri Oct 30 2015 Jan Rękorajski <baggins@pld-linux.org> 55ee596
- add lvm 2.02.132 attributes
- rel 3

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> bdc905f
- rebuild without versioned ruby abi dep
- release 2 (by relup.sh)

* Tue Aug 04 2015 Elan Ruusamäe <glen@delfi.ee> e9c52f5
- up to 0.0.21

* Tue Jul 21 2015 Jan Rękorajski <baggins@pld-linux.org> f7eff78
- added attrs for lvm 2.02.119
- rel 3

* Mon Jul 13 2015 Elan Ruusamäe <glen@delfi.ee> 5878a24
- add push hint

* Mon Jul 13 2015 Elan Ruusamäe <glen@delfi.ee> 51b256d
- add script to create upstream PR with new attributes

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 9f8028a
- use device-mapper-devel in deps as lvm2 is shadowed by vserver-packages

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> eadeda6
- BR lvm2

* Fri Jun 05 2015 Elan Ruusamäe <glen@delfi.ee> dfc3ef3
- cleanup other version attributes

* Fri Jun 05 2015 Elan Ruusamäe <glen@delfi.ee> a222435
- add attributes for lvm 2.02.114

* Fri Jun 05 2015 Elan Ruusamäe <glen@delfi.ee> 5b6c805
- strict versioned dep on lvm2 package

* Fri Jun 05 2015 Elan Ruusamäe <glen@delfi.ee> 842e9ff
- up to 0.0.19

* Tue Jan 07 2014 Elan Ruusamäe <glen@delfi.ee> 30fa943
- new, version 0.0.12

